<?php
require 'bitbyteinstagram.php';
use BitbyteInstagram\Instagram;
use BitbyteInstagram\DB;

$i = new Instagram;
$db = new DB;
// check for token time if fifty days are passed than refresh the token
$_sql = "SELECT * FROM tokens WHERE id = 1";
$data = $db->getData($_sql);
if( !empty($data[0]->access_token) ) {
    $_last_updated = $data[0]->last_updated;
    if(strtotime($_last_updated) < strtotime('-50 days')) {
        // refresh the new token
        $i->refresh_access_token();
    }
}

echo "Media sync started.\r\n";
// $param_test = ['access_token' => 'simple token', 'user_id' => 3214124];
// $_sql_test = "INSERT INTO tokens(`access_token`, `user_id`) VALUES(:access_token, :user_id)";
// $res = $db->insertData($_sql_test, $param_test);
$media = $i->getMedia();
echo "Media sync api call ended.\r\n";
// echo '<pre>';
// print_r($media);
if( isset($media->data) && isset($media->data[0]) ) {
    echo "Media data found.\r\n";
    // get all ids
    $_insta_data = $db->getData("SELECT `insta_id` FROM `instagram_feeds`");
    // print_r($_insta_data);
    $_insta_ids = [];
    foreach( $_insta_data as $insta_id ) {
        array_push($_insta_ids, $insta_id->insta_id);
    }
    // print_r($_insta_ids);
    // exit;
    foreach ($media->data as $m) {
        // check if this id is already there or not
        // if it exist then update
        if( !in_array($m->id, $_insta_ids) ) {
            echo "Inserting new data.\r\n";
            // add new media in database
            $params = [
                'insta_id' => $m->id,
                'caption' => isset($m->caption) ? $m->caption : NULL,
                'media_type' => $m->media_type,
                'media_url' => $m->media_url,
                'permalink' => $m->permalink,
                'insta_timestamp' => $m->timestamp,
                'username' => $m->username
            ];
            $_sql = "INSERT INTO instagram_feeds(`insta_id`, `caption`, `media_type`, `media_url`, `permalink`, `insta_timestamp`, `username`) VALUES(:insta_id, :caption, :media_type, :media_url, :permalink, :insta_timestamp, :username)";
            $res = $db->insertData($_sql, $params);
        } else {
            $res = $db->updateData('UPDATE `instagram_feeds` SET `media_url` = "'.$m->media_url.'" where `insta_id` = :id', ['id' => $m->id]);
        }

        // echo $_sql; exit;
    }
    echo "Insertion sync completed.\r\n";
}

